<template>
    <div>
        <div class="form-group col-sm-12">
            <label for="provider">Провайдер:</label>
            <select id="provider" name="provider" class="form-control" v-model="provider">
                <option :value="payment_system" v-for="payment_system in payment_systems" :selected="payment_system === provider">{{ payment_system }}</option>
            </select>
        </div>
        <div class="form-group col-sm-6 table-responsive" v-if="fields && !Array.isArray(fields)">
            <table class="table table-bordered">
                <tbody>
                    <tr v-for="(field, key) in fields">
                        <th scope="row">
                            <label :for="`credentials_${key}`">{{ field }}</label>
                        </th>
                        <td>
                            <input :name="`credentials[${key}]`" type="password" :id="`credentials_${key}`" class="form-control" v-model="credentials[key]">
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</template>

<script>
    import _ from 'lodash';
	export default {
		props: ['payment_systems', 'providers_fields', 'model_provider', 'model_credentials'],
		data(){
			return {
				provider: this.model_provider,
				credentials: this.model_credentials || {},
            }
        },
        computed: {
			fields: function(){
				if(this.providers_fields.hasOwnProperty(this.provider)){
					return this.providers_fields[this.provider];
                }
				return null;
            }
        }
	}
</script>

<style scoped>

</style>
